ExponentialSplinesFitting Class Reference

Exponential-splines fitting method. More...

`#include <ql/termstructures/yield/nonlinearfittingmethods.hpp>`

Inheritance diagram for ExponentialSplinesFitting:
[legend]

## Public Member Functions

| ExponentialSplinesFitting (bool constrainAtZero=true, const Array &weights=Array(), const ext::shared_ptr< OptimizationMethod > &optimizationMethod=ext::shared_ptr< OptimizationMethod >(), const Array &l2=Array(), Real minCutoffTime=0.0, Real maxCutoffTime=QL_MAX_REAL)
| ExponentialSplinesFitting (bool constrainAtZero, const Array &weights, const Array &l2, Real minCutoffTime=0.0, Real maxCutoffTime=QL_MAX_REAL)
std::auto_ptr< FittedBondDiscountCurve::FittingMethod > | clone () const
| clone of the current object
Public Member Functions inherited from FittedBondDiscountCurve::FittingMethod
Array | solution () const
| output array of results of optimization problem
Integer | numberOfIterations () const
| final number of iterations used in the optimization problem
Real | minimumCostValue () const
| final value of cost function after optimization
bool | constrainAtZero () const
| return whether there is a constraint at zero
Array | weights () const
| return weights being used
Array | l2 () const
| return l2 penalties being used
ext::shared_ptr< OptimizationMethod > | optimizationMethod () const
| return optimization method being used
DiscountFactor | discount (const Array &x, Time t) const
| open discountFunction to public

## Additional Inherited Members

Protected Member Functions inherited from FittedBondDiscountCurve::FittingMethod
| FittingMethod (bool constrainAtZero=true, const Array &weights=Array(), const ext::shared_ptr< OptimizationMethod > &optimizationMethod=ext::shared_ptr< OptimizationMethod >(), const Array &l2=Array(), Real minCutoffTime=0.0, Real maxCutoffTime=QL_MAX_REAL)
| constructors
virtual void | init ()
| rerun every time instruments/referenceDate changes
Protected Attributes inherited from FittedBondDiscountCurve::FittingMethod
bool | constrainAtZero_
| constrains discount function to unity at \( T=0 \), if true
FittedBondDiscountCurve * | curve_
| internal reference to the FittedBondDiscountCurve instance
Array | solution_
| solution array found from optimization, set in calculate()
Array | guessSolution_
| optional guess solution to be passed into constructor. More...
ext::shared_ptr< FittingCost > | costFunction_
| base class sets this cost function used in the optimization routine

## Detailed Description

Exponential-splines fitting method.

Fits a discount function to the exponential form

\[ d(t) = \sum_{i=1}^9 c_i \exp^{-kappa i t} \]

where the constants \( c_i \) and \( \kappa \) are to be determined. See:Li, B., E. DeWetering, G. Lucas, R. Brenner and A. Shapiro (2001): "Merrill Lynch Exponential Spline Model." Merrill Lynch Working Paper

Warning:
  convergence may be slow

Examples
  FittedBondCurve.cpp.